SDL_Rect Struct Reference

`#include <SDL_rect.h>`

## Data Fields

int | x
int | y
int | w
int | h

## Detailed Description

A rectangle, with the origin at the upper left (integer).

See also
  SDL_RectEmpty
  SDL_RectEquals
  SDL_HasIntersection
  SDL_IntersectRect
  SDL_IntersectRectAndLine
  SDL_UnionRect
  SDL_EnclosePoints

Definition at line 78 of file SDL_rect.h.

## Field Documentation

## h

int SDL_Rect::h

Definition at line 81 of file SDL_rect.h.

Referenced by SDL_PointInRect(), SDL_RectEmpty(), and SDL_RectEquals().

## w

int SDL_Rect::w

Definition at line 81 of file SDL_rect.h.

Referenced by SDL_PointInRect(), SDL_RectEmpty(), and SDL_RectEquals().

## x

int SDL_Rect::x

Definition at line 80 of file SDL_rect.h.

Referenced by SDL_PointInRect(), and SDL_RectEquals().

## y

int SDL_Rect::y

Definition at line 80 of file SDL_rect.h.

Referenced by SDL_PointInRect(), and SDL_RectEquals().

The documentation for this struct was generated from the following file:

- SDL_rect.h